<div *ngIf="active">
    <div [hidden]="state?.errorMessage ? false : true" (click)="setServer()" class="alert alert-danger" role="alert">
        <span class="fa fa-exclamation-triangle" aria-hidden="true"></span>
        {{state?.errorMessage}}
        <br/>
    </div>
    <!--<ca-connection-status></ca-connection-status>-->

    <form #nameCompanyForm="ngForm">
        <div class="panel-heading">
            <h3 class="panel-title">Your Company</h3>
        </div>
        <div class="panel-body">
            <div class="form-group">
                <label for="username">Username:</label>
                <input [(ngModel)]="companyName" name="companyName" type="text" class="form-control" ngControl="companyName" #companyName="ngModel" required id="companyName">
                <div [hidden]="companyName.valid || companyName.pristine" class="alert alert-danger">
                    Company Name is required
                </div>
            </div>
            <div>
                <button (click)="registerWithNameCompany()" [disabled]="!nameCompanyForm.form.valid" class="btn btn-primary pull-right">Register</button>
                <button (click)="access()" [disabled]="!nameCompanyForm.form.valid" class="btn btn-primary pull-right">Login</button>
            </div>
        </div>
    </form>
</div>
